/*
 * Turbo Programmer Utilities, turbo-prog-utils, www.bladox.com 
 *
 * Copyright (C) 2004 BLADOX, s.r.o.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 */

#ifndef _BTLDR_H_
#define _BTLDR_H_

#define UCMD_BTLDR_MODE_INIT 			(0xC2)
#define UCMD_BTLDR_MODE_WRITE_PAGE_FLASH 	(0xC3)

void init_turboadapter_btldr_port ();
void btldr_uart_irq();
void init_vars();
void init_btldrUart(void);
void btldr_flash_page (USB_Data * data, u8 * buf);

void btldrTxSendChar(unsigned char txValue);
u8 btldrRxChars(void);
u8 btldrRxGetChar(void);

#endif
